<?php

namespace App\Http\Middleware;

use Closure;
use App\Models\Resume;
use App\Models\ResumeTemplate;

class Billing
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $user = $request->user();
        
        if (!$user->can('admin')) {

                $requestInfo = $request->getPathInfo();
            

                if(strpos($requestInfo, 'createresume') == true) {

                    $data = ResumeTemplate::find($request->template);

                    $is_premium = $data->is_premium;

                    if($is_premium)
                    {
                        if( $user->subscribed() && isset($user->package->template_premium) && $user->package->template_premium == 1){
                            return $next($request);
                        }
                        return redirect()->route('billing.index')
                        ->with('error', __('Please <b>upgrade</b> to use Premium Template.'));
                    }
                    else{
                        return $next($request);
                    }
                    
                }
                        
        }

        return $next($request);
    }
    
    private function checkTemplatePremium($template){
        // Get templates

        $config = array();
        
        $template_path = 'resume_public/resume_template/' . $template;

        if (\Storage::disk('public_resume')->exists($template_path . '/config.php')) {

            $path = "public/".$template_path;
            $config =  include($path . '/config.php');

            if(isset($config['type']) && $config['type'] == "premium"){
                return true;
            }
            else{
                return false;
            }

        }
        abort(404);

    }
}
